import axios, {AxiosResponse} from 'axios'
import downloadjs from 'downloadjs'
import { getStore, USR } from '../utils/userinfo'
interface LoginData{
    name: string
    password: string
}
const instance = axios.create({
    timeout:15000
})
instance.interceptors.request.use((config)=>{
    if(config.url !== '/api/admin/login'){
        config.headers=  {
            'auth-Token':store?store.token?store.token:'':''
        }
        return config
    }else{
        return config
    }
})
// instance.interceptors.response.use((response)=>{
//     // console.log('ee',response)
//     // return response.data
// })

const store = getStore<USR<any>>('mining-manager')
export const doLogin = async (data:LoginData) => {
    return instance.post('/api/admin/login',
        data
    ).then(res=>{
        console.log(res.headers);
        
        if(res.data.data.isSucc){
            return res.headers['auth-token']
        }
    }).catch((err)=>{
        console.log(err);
    })
}

export function getResData(res:AxiosResponse){
    return res.data
}
export const getPlatList = async()=>{
    return instance.get('/api/admin/plat-list',).then(getResData)
}
export const getNodeList = async(params:{id:string})=>{
    return instance.get('/api/admin/node-list',{params}).then(getResData)
}
export const getPoolList = async(params:{id:string})=>{
    return instance.get('/api/admin/pool-list',{params}).then(getResData)
}


export default instance