import downloadjs from "downloadjs";
import Http, {getResData} from "./index";

export interface GetTransListParams{
    platId?:number
    status?:number
    start?:number
    end?:number
    addr?:string
    page?:number
    pageSize?:number
}

export const getTransList = async(params:GetTransListParams)=>{
    params.page?params.page:params.page=1
    params.pageSize?params.pageSize:params.pageSize=10
    return Http.get('/api/admin/trans-list',{
        params:params
    }).then(res=>{
        return res.data
    })
}

export const downloadTxt = async(params:GetTransListParams)=>{
    return Http.get('/download/unsigntxs',{
        params: params
    }).then(async res=>{

        try{
            await downloadjs(res.data)
            return{
                status:'success',
                message:'download action is finished'
            }
        }catch(err){
            console.log('下载出错了',err);
        }
        return
    }).catch((err:any)=>{
        return{
            status:'error',
            message:err.response.data.message
        }
    })

}
export function doForceReady(ids:string[]){
    return Http.post('/api/admin/force-ready',{ids}).then(getResData)
}