import {RouteRecordRaw} from "vue-router";
import {Menu} from "../types/menu";
import {getMenu} from '../utils/menu';
import {reactive} from "vue";


const Login = () => import('../views/Login.vue')
const Layout = () => import('../Layout/index.vue')

export const excludePath:string[]=['/','/login']

export const routes:RouteRecordRaw[]=[
    {
        path: '/',
        name:'Login',
        redirect: '/login',
    },
    {
        path: '/login',
        component: Login
    },
    {
        path: '/user',
        component: Layout,
        name:'空投管理',
        redirect:'/user/info',
        children: [
            {
                path: 'info',
                name:'空投记录',
                component: () => {
                    return import('../views/user/info.vue')
                }
            },
            // {
            //     path: 'apply2',
            //     name:'审核2',
            //     component: () => {
            //         return import('../views/flashTrade/Apply.vue')
            //     }
            // }
        ]
    },
    {
        path:'/data',
        component:Layout,
        name:'数据概览',
        redirect:'/data/new-user',
        children:[
            {
                path: 'new-user',
                name:'新增用户',
                component: () => {
                    return import('../views/data/newUser.vue')
                }
            },
            {
                path: 'rule-set',
                name:'规则设置',
                component: () => {
                    return import('../views/data/ruleSet.vue')
                }
            },
        ]
    }

]
// console.log(getMenu(routes,excludePath,null))
export const menu:Menu[]=reactive(getMenu(routes,excludePath,null));
