import {RouteRecordRaw} from "vue-router";
import {Menu} from '../types/menu'

export function getMenu(routes: RouteRecordRaw[], excludePath: string[], prefixPath: string | null): Menu[] {
    return routes.map(route => {
        const fullPath = prefixPath ? `${prefixPath}/${route.path}` : route.path
        if (route.children) {
            return {
                name: route.name || '',
                key: fullPath,
                path: fullPath,
                children: getMenu(route.children, [], fullPath)
            }
        } else {
            return {
                name: route.name || '',
                key: fullPath,
                path: fullPath,
            }
        }
    }).filter(menu => !excludePath.includes(menu.path));
}
